> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memmachine.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Semantic Memory

> Delete semantic memories from a project.

This operation permanently removes one or more semantic memories from the
specified project. Provide `semantic_ids` with the list of memory IDs to delete.
This action cannot be undone.

If any of the specified semantic memories do not exist, a not-found error
is returned for those entries.




## OpenAPI

````yaml /platform.openapi.json post /v2/memories/semantic/delete
openapi: 3.0.4
info:
  description: >-
    Public REST API for the MemMachine memory system. Manages projects and
    memories.
  title: MemMachine Public API
  version: 0.1.0
servers:
  - url: https://api.memmachine.ai
security:
  - BearerAuth: []
tags:
  - name: Projects
  - name: Memories
  - name: Metrics
  - name: Health
paths:
  /v2/memories/semantic/delete:
    post:
      tags:
        - Memories
      summary: Delete Semantic Memory
      description: >
        Delete semantic memories from a project.


        This operation permanently removes one or more semantic memories from
        the

        specified project. Provide `semantic_ids` with the list of memory IDs to
        delete.

        This action cannot be undone.


        If any of the specified semantic memories do not exist, a not-found
        error

        is returned for those entries.
      operationId: DeleteSemanticMemory
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteSemanticMemorySpec'
        required: true
      responses:
        '204':
          description: Successful Response
        default:
          $ref: '#/components/responses/UnexpectedError'
components:
  schemas:
    DeleteSemanticMemorySpec:
      allOf:
        - $ref: '#/components/schemas/ProjectScope'
        - properties:
            semantic_ids:
              description: |
                A list of unique IDs of semantic memories to delete.
              example:
                - '123'
                - '345'
              items:
                type: string
              minItems: 1
              title: Semantic Ids
              type: array
          required:
            - semantic_ids
          type: object
      description: Specification model for deleting semantic memories.
      title: DeleteSemanticMemorySpec
    ProjectScope:
      properties:
        project_id:
          default: ''
          description: >-
            The identifier of the project. If empty, the user's default project
            is used.
          maxLength: 255
          pattern: ^[\p{L}\p{N}_:-]*$
          title: Project Id
          type: string
          x-go-type-skip-optional-pointer: true
      type: object
    Error:
      properties:
        code:
          description: Error code.
          format: int32
          type: integer
        message:
          description: Error message.
          type: string
      required:
        - code
        - message
      type: object
  responses:
    UnexpectedError:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unexpected error.
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````